Name:           optipng
Version:        0.7.6
Release:        %mkrel 1
Summary:        A PNG optimizer and converter
Group:          Graphics/Utilities
License:        zlib
URL:            http://optipng.sourceforge.net/
Source0:        http://downloads.sourceforge.net/optipng/optipng-%{version}.tar.gz
BuildRequires:  zlib-devel 
BuildRequires:  libpng-devel

%description
OptiPNG is a PNG optimizer that recompresses image files to a smaller size,
without losing any information. This program also converts external formats
(BMP, GIF, PNM; TIFF support is coming up) to optimized PNG, and performs PNG
integrity checks and corrections.

%prep
%setup -q

%build
./configure -with-system-zlib -with-system-libpng
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall_std prefix=%{_prefix} man1dir=%{_mandir}/man1

%files
%doc README.txt LICENSE.txt doc/*
%{_bindir}/optipng
%{_mandir}/man1/optipng.*


%changelog
* Sat Apr 09 2016 danf <danf> 0.7.6-1.mga5
+ Revision: 999864
- Updated to 0.7.6
- Fixes CVE-2015-7802, CVE-2016-2191 and several other bugs
- Added patch for CVE-2015-7802, which is apparently not a security issue

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-3.mga5
+ Revision: 750301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-2.mga5
+ Revision: 683266
- Mageia 5 Mass Rebuild

* Fri May 30 2014 danf <danf> 0.7.5-1.mga5
+ Revision: 627817
- Upgraded to ver. 0.7.5. Major changes include:
- Allowed the handling of huge image files (> millions of pixels
   per row or column) to be independent of the libpng version.
- Allowed the option -preserve to save the file ownership (UID/GID) on Unix

* Sat Oct 19 2013 umeabot <umeabot> 0.7.4-4.mga4
+ Revision: 526188
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.4-3.mga4
+ Revision: 436030
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 362188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Wed Oct 31 2012 luigiwalser <luigiwalser> 0.7.4-1.mga3
+ Revision: 311780
- 0.7.4

* Fri Oct 12 2012 luigiwalser <luigiwalser> 0.7.3-1.mga3
+ Revision: 305051
- fix RPM group
- 0.7.3 (fixes CVE-2012-4432)

* Sun Aug 26 2012 fedya <fedya> 0.7.2-1.mga3
+ Revision: 284031
- version update 0.7.2

* Wed Jun 27 2012 tv <tv> 0.7.1-1.mga3
+ Revision: 264202
- new version
- build with system libpng

* Sun Sep 18 2011 fwang <fwang> 0.6.5-2.mga2
+ Revision: 144990
- build with internal png

* Thu Jun 16 2011 tv <tv> 0.6.5-1.mga2
+ Revision: 108362
- new release

* Sun Feb 20 2011 eandry <eandry> 0.6.4-2.mga1
+ Revision: 54685
- remove buildroot
- bump for upgrade
- imported package optipng


* Sat Aug 07 2010 Emmanuel Andry <eandry@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 567376
- New version 0.6.4
- drop p1

* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 400437
- New version 0.6.3
- drop security patch
- add patch to fix string format error (reported upstream)

* Thu Mar 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-2mdv2009.1
+ Revision: 349137
- Apply 0.6.2.1 security patch

* Wed Nov 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 304470
- update to new version 0.6.2

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 239401
- New version 0.6.1
- rework systemlibs patch

* Thu May 22 2008 Frederik Himpe <fhimpe@mandriva.org> 0.5.5-2mdv2009.0
+ Revision: 210092
- Fix license short name
- Rebuild with new toolchain

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages


* Wed Mar 14 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.5.5-1mdv2007.1
+ Revision: 143316
- upgrade to version 0.5.5 (patch from Frederik Himpe <fhimpe telenet.be>)
  - dropped old patches already applied upstream

* Mon Mar 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.4-2mdv2007.1
+ Revision: 132759
- Fix group

* Sun Jan 07 2007 Emmanuel Andry <eandry@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 105257
- Import optipng

